Fix detection of RL_PROMPT_*_IGNORE macros
Description

=begin

from github: https://github.com/ruby/ruby/pull/202

((mkmf doesn't create HAVE_X definitions, so HAVE_RL_PROMPT_START_IGNORE

and HAVE_RL_PROMPT_END_IGNORE don't actually get defined by

ext/readline/extconf.rb. Instead, we should detect for

RL_PROMPT_START_IGNORE and RL_PROMPT_END_IGNORE directly.))

=end

Associated revisions

Revision 46ea3f65551e2467bdd4d6c8bd0c78644c955326 - 02/01/2013 05:37 AM - shugo (Shugo Maeda)

ext/readline/extconf.rb, ext/readline/readline.c: check

RL_PROMPT_START_IGNORE and RL_PROMPT_END_IGNORE directly in

readline.c.  Patch by Zachary Scott.  [Bug #7397] [ruby-core:49561]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@39002 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 46ea3f65 - 02/01/2013 05:37 AM - shugo (Shugo Maeda)

ext/readline/extconf.rb, ext/readline/readline.c: check

RL_PROMPT_START_IGNORE and RL_PROMPT_END_IGNORE directly in

readline.c.  Patch by Zachary Scott.  [Bug #7397] [ruby-core:49561]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@39002 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 11/19/2012 01:01 PM - zzak (zzak _)

- Category changed from lib to ext

#2 - 12/21/2012 10:19 PM - usa (Usaku NAKAMURA)

- Status changed from Open to Assigned

#3 - 02/01/2013 02:37 PM - shugo (Shugo Maeda)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r39002.

Zachary, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

ext/readline/extconf.rb, ext/readline/readline.c: check

RL_PROMPT_START_IGNORE and RL_PROMPT_END_IGNORE directly in

readline.c.  Patch by Zachary Scott.  [Bug #7397] [ruby-core:49561]
